geolocate_viirs |

### geolocate_viirs

Creates a GEO file from VIIRS L1A input files.

Location
Details
Command Line Usage

#### Location

SeaDAS-Toolbox -> SeaDAS Processors -> VIIRS -> geolocate_viirs

#### Details

geolocate_viirs creates a GEO file from VIIRS L1A input files.

geolocate_viirs GUI

Arguments/Keywords

UI Element Name | Type | Description | Required/Optional | Default Value
ifile | ifile | VIIRS_L1A_file name | Required |
geofile_mod | ofile | GEOFILE Output filename | Required | Generated by the program based on the input L1A file name
geofile_img | ofile | Geolocation IMG filename | Optional |
geofile_dnb | ofile | Geolocation Day Night Band filename | Optional |
static_lut_file | string | static calibration LUT filename | Optional |
rsb_dynamic_lut_file | string | RSB dynamic calibration LUT filename | Optional |
dnb_dynamic_lut_file | string | day night band dynamic calibration LUT filename | Optional |
straylight_lut_file | string | stray light calibration LUT filename |  |
cmn_lut_file | string | common calibration LUT filename | Optional |
geo_lut_file | string | geolocation LUT filename | Optional |
polar_wander_file | string | polar wander filename | Optional | $OCVARROOT/viirsn/polar_wander.h5
terrain_path | string | path to the terrain height files directory | Optional | $OCDATAROOT/viirsn/dem
land_water_mask_path | string | path to the land/water mask file directory | Optional |
pversion | string | processing version string | Optional | Unspecified

Actions/Buttons

UI Element Name | Type | Description
Browser Button | Button | Selects ifile/ofile
Run | Button | Executes the geolocate_viirs command with arguments provided in the UI.
Cancel | Button | Closes current processor GUI.
Apply | Button | Makes current arguments effective.
Open in SeaDAS | Checkbox | If selected, the ofile will be added to the open products list right after its generation.
? | Button | Displays the help content of the current command.

#### Command Line Usage

    geolocate_viirs 3.2.2 (Aug 21 2025 23:36:53)
    Usage: geolocate_viirs argument-list

      This program takes a VIIRS L1A file and outputs geolocation files.

      The argument-list is a set of keyword=value pairs. The arguments can
      be specified on the commandline, or put into a parameter file, or the
      two methods can be used together, with commandline over-riding.

    The list of valid keywords follows:

       help (boolean) (alias=h) (default=false) = print usage information
       version (boolean) (default=false) = print the version
            information
       dump_options (boolean) (default=false) = print
            information about each option
       dump_options_paramfile (ofile) = print
            information about each option to paramfile
       dump_options_xmlfile (ofile) = print
            information about each option to XML file
       par (ifile) = input parameter file
       ifile (ifile) = input L1A file name
       geofile_img (ofile) = Geolocation IMG filename
       geofile_mod (ofile) = Geolocation MOD filename
       geofile_dnb (ofile) = Geolocation Day Night Band filename
       static_lut_file (string) = static calibration LUT filename
       rsb_dynamic_lut_file (string) = RSB dynamic calibration LUT filename
       dnb_dynamic_lut_file (string) = day night band dynamic calibration LUT
            filename
       straylight_lut_file (string) = stray light calibration LUT filename
       cmn_lut_file (string) = common calibration LUT filename
       geo_lut_file (string) = geolocation LUT filename
       polar_wander_file (string) (default=/Users/byang8/ocssw/var/common/polar_wander.ascii) =
            polar wander filename
       leapsec_file (string) (default=/Users/byang8/ocssw/var/common/tai-utc.dat) = leap second
            file
       terrain_path (string) (default=/Users/byang8/ocssw/share/viirs/dem/) = path to the terrain
            height files directory
       land_water_mask_path (string) = path to the land/water
            mask file directory
       verbose (boolean) (alias=v) (default=false) = turn on verbose output
       pversion (string) (default=Unspecified) = processing version string
       doi (string) = Digital Object Identifier (DOI) string

    This program can also accept a PCF file.  The PCF file option names take
    precedence over the standard option parameters even if the standard option
    is on the command line.  To over ride an option in a PCF file, use the PCF
    option name on the command line.

    use "-dump_options" on the command line to see a list of ALL option names.